Forums | Admin

Discussion Forums: help

Start New Thread Start New Thread

 

By: Chaitanya Garikiparthi
RE: Load Error RMagick 2 on Windows [ reply ]  
2012-08-17 22:51
I am hitting this same issue as well. RMagick gem seems to have installed but from either irb or rubymine when i try to require 'rmagick', i see the above errors.

I did follow the steps in the zip file to the t and the gem itself did install perfectly fine.

anybody knows how to fix it.


By: Matthew M
Load Error RMagick 2 on Windows [ reply ]  
2012-02-27 07:04
win xp SP3 RMagick 2.12.0 (ImageMagick 6.5.6-8) Win32 Installation

The installation went fine...no errors. Followed all instructions. When I try to run the hello world program:

require 'rubygems'
require 'RMagick'
cat = ImageList.new("test.jpg")

I get the errors:

C:/Ruby193/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:60:in `require': 126: The specified module could not be found. - C:/Ruby193/lib/ruby/gems/1.9.1/gems/rmagick-2.12.0-x86-mswin32/ext/RMagick2.so (LoadError)
from C:/Ruby193/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:60:in `rescue in require'
from C:/Ruby193/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:35:in `require'
from C:/Ruby193/lib/ruby/gems/1.9.1/gems/rmagick-2.12.0-x86-mswin32/lib/RMagick.rb:11:in `<top (required)>'
from C:/Ruby193/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:60:in `require'
from C:/Ruby193/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:60:in `rescue in require'
from C:/Ruby193/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:35:in `require'
from image_processing_rmagick.rb:2:in `<main>'

Any help is much appreciated....